//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_TEXTSUBFILE_H
#define LOTRO_DAT_LIBRARY_TEXTSUBFILE_H


#include "../Subfile.h"

namespace LOTRO_DAT {
    class TextSubfile : Subfile {
        TextSubfile();
        TextSubfile(DatFile *dat, long long fragments_count, long long unknown1, long long file_id, long long file_offset,
                   long long file_size, long long timestamp, long long version, long long block_size) override;

        FILE_TYPE FileType() const override;
        std::string GetExtension() const override;

        bool PrepareAsBinary(BinaryData &data) override;
        bool PrepareAsText(std::string &text, std::string &args, std::string &args_order) override;

        BinaryData& MakeFromBinary(const BinaryData &data) override;
        BinaryData& MakeFromText(const std::string &text, const std::string &args, const std::string &args_order) override;

    };
};



#endif //LOTRO_DAT_LIBRARY_TEXTSUBFILE_H
