//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_DDSSUBFILE_H
#define LOTRO_DAT_LIBRARY_DDSSUBFILE_H

#include "../Subfile.h"

namespace LOTRO_DAT {
    class DdsSubfile : Subfile {
    public:
        DdsSubfile();
        DdsSubfile(DatFile *dat, long long fragments_count, long long unknown1, long long file_id, long long file_offset,
                                 long long file_size, long long timestamp, long long version, long long block_size);

        FILE_TYPE FileType() const override;
        std::string Extension() const override;

        bool PrepareAsBinary(BinaryData &data) override;
        BinaryData MakeFromBinary(const BinaryData &data) override;

    private:
        bool compressed_;
    };
};

#endif //LOTRO_DAT_LIBRARY_DDSSUBFILE_H
